Bug 133119 - local variables used before set
local variables used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-21 15:21 EDT by David Binderman
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 11:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-09-21 15:21:40 EDT
Description of problem:


I just tried to compile package samba-3.0.5-0pre1 from
Redhat Fedora Core 3 Test 1.

The compiler said

1.

smbd/open.c(803): remark #592: variable "action" is used before its
value is set

The source code is

                if (action)

But the immediately preceding use of local variable "action" is

        int action;

Suggest init action before first use.

2.

utils/net_groupmap.c(666): remark #592: variable "result" is used
before its value is set

The source code is

                         argv[0], nt_errstr(result));

Suggest init result before first use.

3.

utils/net_groupmap.c(694): remark #592: variable "result" is used
before its value is set

Duplicate.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Fenlason 2005-10-24 11:24:57 EDT
These appear to have been long closed. 

Note You need to log in before you can comment on or make changes to this bug.